<?php
/**
* CRMery
* 
* @author     WebSpark Apps <apps@websparkinc.com>
* @copyright  Copyright (C) 2013 websparkinc.com All Rights Reserved.
* @license    http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
* Website: http://www.crmery.com
*/

defined('_JEXEC') or die('Restricted access'); ?>
<div class="row-fluid">
	<?php if (!empty($this->sidebar)): ?>
	<div id="j-sidebar-container" class="span2">
		<?php echo $this->sidebar; ?>
	</div>
	<div id="j-main-container" class="span10">
	<?php else : ?>
	<div id="j-main-container">
	<?php endif; ?>
		<div class="row-fluid">
			<div id="system-message-container"></div>
			<div class="container-fluid">
			<?php if (!$this->launch_default) : ?>
				<div class="alert"><?php echo JText::_('COM_CRMERY_YOUR_SETUP_IS') . $this->menu['percentage'] . '% ' . JText::_('COM_CRMERY_COMPLETED'); ?></div>
			<?php endif;
				echo $this->menu['help_menu']->display(); ?>
				<div class="row-fluid">
					<?php if (!$this->php_version_check) : ?>
					<div class="alert alert-error">
						<?php echo JText::sprintf("COM_CRMERY_WARNING_PHP_VERSION_INVALID", $this->php_version); ?>
					</div>
					<?php endif; ?>
					<!--S63<div class="well">
						<div class="module-title">
							<h6><?php echo JText::_('COM_CRMERY_VERSION_STATUS'); ?></h6>
						</div>
						<div class="row-striped">
							<div class="row-fluid">
								<div class="span12 crmery-version-status">
									<h5>
										<?php if ($this->latestVersion == 'no_curl') : ?>
										<span class="btn btn-danger btn-mini">
											<i class="icon-remove icon-white tip"></i>
										</span>
										<?php echo JText::_('COM_CRMERY_CURL_NOT_INSTALLED');
										elseif (CrmeryHelperVersion::isUpToDate($this->installedVersion, $this->latestVersion)) : ?>
										<span class="btn btn-success btn-mini">
											<i class="icon-ok icon-white"></i>
										</span>
										<?php echo JText::sprintf('COM_CRMERY_UP_TO_DATE', $this->installedVersion);
										else: ?>
										<span class="btn btn-danger btn-mini">
											<i class="icon-remove icon-white"></i>
										</span>
										<?php echo JText::sprintf('COM_CRMERY_UPDATE', $this->installedVersion, $this->latestVersion); ?>
										<a href="<?php echo $this->updateUrl; ?>" target="_blank"><?php echo JText::_('COM_CRMERY_UPDATE_LINK'); ?></a>
										<?php endif; ?>
									</h5>
								</div>
							</div>
						</div>
					</div>
					<div class="module-title">
						<h6><?php echo JText::_('COM_CRMERY_LATEST_NEWS'); ?></h6>
					</div>
					<div class="accordion" id="news-accordion">
					<?php
					$i = 0;
					if (isset($this->updatesFeed) && array_key_exists('doc', $this->updatesFeed)) :
						foreach ($this->updatesFeed['doc']->item as $item) :
						$i++; ?>
						<div class="accordion-group">
							<div class="accordion-heading">
								<a class="accordion-toggle" data-toggle="collapse" data-parent="#news-accordion" href="#collapse<?php echo $i; ?>">
									<?php echo $item->title; ?>
								</a>
							</div>
							<div id="collapse<?php echo $i; ?>" class="accordion-body collapse">
								<div class="accordion-inner">
									<?php echo $item->description; ?>
								</div>
							</div>
						</div>
						<?php endforeach;
					endif; ?>
					</div>-->
				</div>
			</div>
		</div>
	</div>
</div>
