<?php
/**
 * @author		isApp.it Team
 * @copyright	Copyright (C) 2011 isApp.it. All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link		http://www.isapp.it
 */

// no direct access
defined('_JEXEC') or die;

// Include the syndicate functions only once
require_once dirname(__FILE__).'/helper.php';

$session = JSession::getInstance('database', array());

if ($session && JFactory::getUser()->id) {
	//S63 $doc =& JFactory::getDocument();
	$doc = JFactory::getDocument();
	$doc->addStyleSheet( 'modules/mod_admincountdown/css/styles.css' );
	
	if (mod_adminCounterHelper::checkJQuery()) {
		$doc->addScript('modules/mod_admincountdown/js/jquery.min.js');
		$doc->addScript('modules/mod_admincountdown/js/jquery-noconflict.js');
	}
	
	$doc->addScript('modules/mod_admincountdown/js/C3counter.js');
	
	$exp = $session->getExpire();
	
	$perc_alert = $params->get('perc_alert', 10);
	$start_hide = $params->get('start_hide', 0);
	
	$perc_alert = intval($perc_alert);
	
	$start_hide = ($start_hide) ? 'jQuery( "#counter" ).hide();jQuery( "#AC_show_container" ).show();' : '';
	
	$doc->addScriptDeclaration('jQuery(document).ready(function() {
									C3Counter("counter", { 
										startTime :'.$exp.', 
										alertFx: function() {
											alertTime = options.startTime*('.$perc_alert.'/100);
											if(options.tempStartTime <= alertTime && options.tempStartTime > 0) {
												jQuery( "#counter, #toolbar-apply, #AC_show_container" ).toggleClass( "pulse" );
											}
											if(options.tempStartTime == 0) {
												jQuery( "#counter, #AC_show_container" ).addClass( "pulse" );
												jQuery( "#toolbar-apply" ).removeClass( "pulse" );
											}
										}
									});
									jQuery("#AC_hide").click(function() {
										jQuery( "#counter" ).hide("slow");
										jQuery( "#AC_show_container" ).show("slow");
									});
									jQuery("#AC_show").click(function() {
										jQuery( "#AC_show_container" ).hide("slow");
										jQuery( "#counter" ).show("slow");
									});
									'.$start_hide.'
								});');
}
require JModuleHelper::getLayoutPath('mod_admincountdown', $params->get('layout', 'default'));
